MomentBasedGaussianPolynomial< mp_real > Class Template Referenceabstract

`#include <ql/math/integrals/momentbasedgaussianpolynomial.hpp>`

Inheritance diagram for MomentBasedGaussianPolynomial< mp_real >:
[legend]

## Public Member Functions

Real | mu_0 () const
Real | alpha (Size i) const
Real | beta (Size i) const
virtual mp_real | moment (Size i) const =0
Real | alpha (Size u) const
Real | beta (Size u) const
Real | mu_0 () const
Public Member Functions inherited from GaussianOrthogonalPolynomial
virtual Real | w (Real x) const =0
Real | value (Size i, Real x) const
Real | weightedValue (Size i, Real x) const

## Detailed Description

### template<class mp_real>
class QuantLib::MomentBasedGaussianPolynomial< mp_real >

References: Gauss quadratures and orthogonal polynomials

G.H. Gloub and J.H. Welsch: Calculation of Gauss quadrature rule. Math. Comput. 23 (1986), 221-230, http://web.stanford.edu/class/cme335/spr11/S0025-5718-69-99647-1.pdf

M. Morandi Cecchi and M. Redivo Zaglia, Computing the coefficients of a recurrence formula for numerical integration by moments and modified moments. http://ac.els-cdn.com/0377042793901522/1-s2.0-0377042793901522-main.pdf?_tid=643d5dca-a05d-11e6-9a56-00000aab0f27&acdnat=1478023545_cf7c87cba4cc9e37a136e68a2564d411